<?php
return array(
// Heading
'heading_title' 					 => 'GPN Data International',

// Text
'text_payment'					 => 'Payment',
'text_success'					 => 'Success: You have modified First Data account details!',
'text_edit'                      => 'GPN Data configuration page',
'text_notification_url'			 => 'Notification URL',
'text_enabled'					 => 'Enabled',
'text_capture_ok'				 => 'Capture was successful.',
'text_capture_ok_order'			 => 'Capture was successful, order status updated to success - settled',
'text_void_ok'					 => 'Void was successful, order status updated to voided',
'text_settle_auto'				 => 'Sale',
'text_settle_delayed'			 => 'Pre auth',
'text_success_void'				 => 'Transaction has been voided.',
'text_success_capture'			 => 'Transaction has been captured. Captured amount: ',
'text_payment_info'				 => 'Payment information',
'text_capture_status'			 => 'Payment captured ?',
'text_void_status'				 => 'Payment voided ?',
'text_order_total'				 => 'Total amount:',
'text_total_captured'			 => 'Total captured',
'text_transactions'				 => 'Transactions',
'text_close'					 => 'Close',
'text_capture_request' 			 => 'Request Capture Authorization',
'text_capture_cancel_request' 	 => 'Request Cancel Authorization',
'text_ssl_must_be_enabled' 	 	 => 'SSL is not active on your shop.<br/><br/>This is not supported configuration! Please enable SSL on your shop in order to activate the extension!',


//NEW
'text_currency'					 => 'Currency:',
'text_gpndata'				 	 => '<img src=>"view/image/payment/gpndata.png" alt=>"GPN DATA International" title=>"GPN DATA International" style=>"border: 1px solid #EEEEEE," />',
'text_order_ref'				 => 'Transaction number:',
'text_transaction_current_state' => 'Current transaction state:',
'text_transaction_current_state_description' => 'Current state description:',
'text_payment_refunded' 		 => 'Payment pending refund?',
'text_column_date_added'		 => 'Date added:',
'text_column_date_modified'		 => 'Date modified: ',
'text_column_amount'			 => 'Amount',
'text_column_status'			 => 'Status',
'text_column_description'		 => 'Description',
'text_column_additional_text'	 => 'Additional text',
'text_column_error_message'		 => 'Error message',
'text_api_command_executed'		 => 'Command executed successfully',
'text_refund_reason'			 => 'Refund reason: ',
'text_refunded_amount'		 	 => 'Refunded amount: ',
'text_to_be_refund_amount'		 => 'To be refunded amount: ',
'text_transaction_status_unknown'=> 'Transaction status is unknown: ',
'text_void_reason'				 => 'Please enter valid void reason',


// labels
'lbl_description'		 	     => 'Description:',
'lbl_merchant_name'		 	     => 'Merchant name:',
'lbl_payment_page_url'		 	 => 'Payment page url:',
'lbl_transaction_url'		 	 => 'Transaction url:',
'lbl_contact_url'		 		 => 'Contact URL:',
'lbl_notification_url'		 	 => 'Notifications URL:',
'lbl_api_user'				     => 'API User:',
'lbl_api_password'				 => 'API password:',
'lbl_api_key'				     => 'API Access Key:',
'lbl_api_user_placeholder'		 => 'API User - as provided to you on merchant back office.',
'lbl_api_password_placeholder'	 => 'API password - as provided to you on merchant back office.',
'lbl_api_key_placeholder'		 => 'API Key - as provided to you on merchant back office.',
'lbl_status'					 => 'Status:',
'lbl_debug_mode'			 	 => 'Debug mode:',
'lbl_option_enabled'			 => 'Enabled',
'lbl_option_disabled'			 => 'Disabled',


// help text
'lbl_description_text'		 	     => 'This controls the description which the user sees during checkout.',
'lbl_merchant_name_text'		 	 => 'Merchant name as it will appear on the Payment Page.',
'lbl_transaction_url_text'		 	 => 'This is the URL that you have received from GPN Data, used for connecting to the payment page.',
'lbl_transaction_full_api_text'		 => 'This is the URL that you have received from GPN Data, used for full API functionality.',
'lbl_contact_url_text'		 		 => 'The full URL to which you wish your customer to be redirected if they have questions about the order or the terms and conditions.',
'lbl_notification_url_text'		 	 => 'This is the notifications URL that you must provide to GPN Data Technical Support.',
'lbl_api_user_text'				     => 'As provided to you on Merchant Back Office.',
'lbl_api_password_text'				 => 'As provided to you on Merchant Back Office.',
'lbl_api_key_text'				     => 'As provided to you on Merchant Back Office.',

//status tooltips help text
'help_tooltip_status_void'				=> 'GPN DATA status voided. Status should be mapped to OpenCart status Voided.',
'help_tooltip_status_captured'			=> 'GPN DATA status Approved or Captured. Status should be mapped to OpenCart status Complete.',
'help_tooltip_status_pending'			=> 'GPN DATA status transaction Pending. Status should be mapped to OpenCart status Pending.',
'help_tooltip_status_declined'			=> 'GPN DATA status transaction Declined. Status should be mapped to OpenCart status Denied.',
'help_tooltip_status_refunded'			=> 'GPN DATA status Refunded. Status should be mapped to OpenCart status Refunded.',
'help_tooltip_status_refund_pending'	=> 'GPN DATA status Refund Pending. Status should be mapped to OpenCart status Procesing',
'help_tooltip_status_chargeback'		=> 'GPN DATA status Chargeback. Status should be mapped to OpenCart status Chargeback.',
'help_tooltip_contact_url'				=> 'The full URL to which you wish your customer to be redirected if they have questions about this order or the terms and conditions.',
'help_debug_mode'			 	 		=> 'Enable debug mode if you are experience plugin issues and contact GPN DATA Technical Support to help you resolve the issue. Please disable if not used!',


'text_status_please_set_status'			=> 'Important! <br/><br/>Please set appropriate status according to Your opencart setup.<br/> If you are not sure how particular status needs to be mapped please hoover over tooltip for help.',
'text_debug_mode_enabled'				=> 'Important! <br/><br/>Debug mode is enabled! Please disable debug mode if you are not experiencing issues!',
//status
'gpndata_status_void'			     => 'Voided',
'gpndata_status_captured'			 => 'Captured',
'gpndata_status_declined'			 => 'Declined',
'gpndata_status_pending'			 => 'Pending',
'gpndata_status_refund'	             => 'Refund',
'gpndata_status_refund_pending'	     => 'Refund Pending',
'gpndata_status_chargeback'	         => 'Chargeback',

//Errors
'error_field_must_have_value'	     => 'This field must have value',

// Help
'help_total'					 => 'The checkout total the order must reach before this payment method becomes active',
'help_notification'				 => 'You need to supply this URL to First Data to get payment notifications',
'help_debug'					 => 'Enabling debug will write sensitive data to a log file. You should always disable unless instructed otherwise',
'help_settle'					 => 'If you use pre-auth you must complete a post-auth action within 3-5 days otherwise your transaction will be dropped',

// Tab
'lbl_tab_general'		 	     => 'General',
'lbl_tab_order_status'			 => 'Order status',


// Button
'button_refund'				 	 => 'Refund',
'button_capture'				 => 'Capture',
'button_void'					 => 'Void',
'button_confirm_transaction'	 => 'Confirm transaction',

//modal text

//refund
'modal_refund_reason_input_text'				 	 => 'Reason',
'modal_refund_reason_input_placeholder_text'		 => 'Please enter valid refund reason!',
'modal_refund_amount_input_text'				 	 => 'Amount',
'modal_refund_amount_input_placeholder_text'		 => 'Please enter refund amount in format 0.00!',
'modal_refund_button_refund_text'				 	 => 'Submit refund',
'modal_refund_title_text'		 					 => 'Refund transaction',
'modal_refund_subtitle_text'	 					 => 'Please enter the refund reason and amount.',
'modal_void_reason_input_text'	 					 => 'Void reason');

